Subject: Re: [PATCH 04/23] e100: rework WoL and shutdown handling

From: Auke Kok <[email-masked]>
Date: Tue, 19 Sep 2006 14:38:42 -0700

Jeff Garzik wrote:
> Kok, Auke wrote:
>> Unify our shutdown/suspend/resume code and make it similar to e1000:
>> e1000_shutdown now calls suspend which does the exact same thing on
>> shutdown except saving PCI config state on suspend. WoL setup code
>> is now also more simple and works even when CONFIG_PM is not set, which
>> was previously broken.
>>
>> Signed-off-by: Auke Kok <[email-masked]>
> 
> Why does e100_suspend() need to exist even when CONFIG_PM is disabled?
> 
> WoL is fundamentally power management.

okay, I'll fix this for e1000 as well, where we have the same code flow.

Thanks.

Auke